### Enumeration

# Meta FrameType

#### Declaration

    enum Meta.FrameType

#### Description

No description available.

#### Members

`META_FRAME_TYPE_NORMAL`

  Normal frame.

  - Value: `0`
  - Available since: 16
`META_FRAME_TYPE_DIALOG`

  Dialog frame.

  - Value: `1`
  - Available since: 16
`META_FRAME_TYPE_MODAL_DIALOG`

  Modal dialog frame.

  - Value: `2`
  - Available since: 16
`META_FRAME_TYPE_UTILITY`

  Utility frame.

  - Value: `3`
  - Available since: 16
`META_FRAME_TYPE_MENU`

  Menu frame.

  - Value: `4`
  - Available since: 16
`META_FRAME_TYPE_BORDER`

  Border frame.

  - Value: `5`
  - Available since: 16
`META_FRAME_TYPE_ATTACHED`

  Attached frame.

  - Value: `6`
  - Available since: 16
`META_FRAME_TYPE_LAST`

  Marks the end of the `MetaFrameType` enumeration.

  - Value: `7`
  - Available since: 16

#### Type functions

###### meta_frame_type_to_string

Converts a frame type enum value to the name string that would appear in the theme definition file.